DeluxHostAPI Reference
Support tickets

Create a ticket

POST
/v1/tickets

Authorization

apiToken tickets:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: tickets:write

Request Body

application/json
  1. body
subject*string
body*string
department?string
priority?string
relatedOrderId?number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
id*number
number*string
curl -X POST 'https://api.deluxhost.net/v1/tickets' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "subject": "string",  "body": "string"}'
Example Response
{  "id": 0,  "number": "string"}